[ABOUT]
AUTHOR = Pyyer
VERSION = 1.1
DATE_RELEASE = 10 April 2022

[INCLUDE]
INCLUDE=common/conditions.ini, common/materials_track.ini

[DEFAULTS]
IS_ANIMATED = 1
PIVOT_BACK = -114.84, 7.93, 441.72
PIVOT_BACK_AXIS = -0.708, -0.0008, -0.706
PIVOT_FRONT = -114.3, 7.93, 442.17
PIVOT_FRONT_AXIS = 0.708, -0.0008, 0.706

;=============================================================
[SHADER_REPLACEMENT_...]
MATERIALS = RolexClockTicker
SHADER = stPerPixelNM_UVflow
PROP_... = offsetDSpeed, 0.05, 0
PROP_... = ksAmbient, 0.3
PROP_... = ksDiffuse, 0.0
PROP_... = ksSpecular, 0
PROP_... = ksSpecularEXP, 100
PROP_... = ksEmissive, 3 0.015
;=============================================================
[SHADER_REPLACEMENT_...]
MATERIALS = RolexClockBlock, RolexClockSupport
PROP_... = ksAmbient, 0.3
PROP_... = ksDiffuse, 0.3
PROP_... = ksSpecular, 0.2
PROP_... = ksSpecularEXP, 20
;=============================================================
[SHADER_REPLACEMENT_...]
MATERIALS = RolexClockText
SHADER = ksPerPixelAT
BLEND_MODE = ALPHA_TEST
PROP_... = ksAmbient, 0.3
PROP_... = ksDiffuse, 0.3
PROP_... = ksSpecular, 0.2
PROP_... = ksSpecularEXP, 20
PROP_... = ksEmissive, 2.0 10.0
PROP_... = ksAlphaRef, 0.5
CONDITION = NIGHT_SMOOTH
;=============================================================
[SHADER_REPLACEMENT_...]
MESHES = RolexClockMainBack,RolexClockMainFront
PROP_... = ksEmissive, 2.0 10.0
CONDITION = NIGHT_SMOOTH
;=============================================================

[WRAP_MESHES_...]
NAME = RolexHandLargeBack
MESHES = RolexHandLargeBack
PIVOT_POS  = $PIVOT_BACK
PIVOT_DIR_POS = $PIVOT_BACK_AXIS

[ANIMATED_...]
ACTIVE = $IS_ANIMATED
NODE = RolexHandLargeBack
CLOCK_NEEDLE = MINUTE
SPIN_AXIS = $PIVOT_BACK_AXIS ; spin around this axis
MOVE_IN_STEPS = 1
OFFSET_DEG = 0
ROUND = 0
LAG = 0.67
;-------------------------------------------------------------
[WRAP_MESHES_...]
NAME = RolexHandSmallBack
MESHES = RolexHandSmallBack
PIVOT_POS  = $PIVOT_BACK
PIVOT_DIR_POS = $PIVOT_BACK_AXIS

[ANIMATED_...]
ACTIVE = $IS_ANIMATED
NODE = RolexHandSmallBack
CLOCK_NEEDLE = HOUR
SPIN_AXIS = $PIVOT_BACK_AXIS ; spin around this axis
MOVE_IN_STEPS = 1
OFFSET_DEG = 60
ROUND = 0
LAG = 0.67

;=============================================================

[WRAP_MESHES_...]
NAME = RolexHandLargeFront
MESHES = RolexHandLargeFront
PIVOT_POS  = $PIVOT_FRONT
PIVOT_DIR_POS = $PIVOT_FRONT_AXIS

[ANIMATED_...]
ACTIVE = $IS_ANIMATED
NODE = RolexHandLargeFront
CLOCK_NEEDLE = MINUTE
SPIN_AXIS = $PIVOT_FRONT_AXIS ; spin around this axis
MOVE_IN_STEPS = 1
OFFSET_DEG = 0
ROUND = 0
LAG = 0.67
;-------------------------------------------------------------
[WRAP_MESHES_...]
NAME = RolexHandSmallFront
MESHES = RolexHandSmallFront
PIVOT_POS  = $PIVOT_FRONT
PIVOT_DIR_POS = $PIVOT_FRONT_AXIS

[ANIMATED_...]
ACTIVE = $IS_ANIMATED
NODE = RolexHandSmallFront
CLOCK_NEEDLE = HOUR
SPIN_AXIS = $PIVOT_FRONT_AXIS ; spin around this axis
MOVE_IN_STEPS = 1
OFFSET_DEG = 60
ROUND = 0
LAG = 0.67